=== debian/changelog ===
docker.io (0.7.6+dfsg1-1) unstable; urgency=medium

  [ Johan Euphrosine ]
  * Updated to 0.7.6.
  * Added dependency to gocapability.
  * Clean patches.

  [ Tianon Gravi ]
  * Added contrib/mk* scripts from upstream into /usr/share/docker.io/contrib
    (Closes: #736068).
  * Added upstream udev rules file to stop device-mapper devices and mounts from
    appearing in desktop environments through udisks.

 -- Johan Euphrosine <proppy@google.com>  Wed, 22 Jan 2014 22:50:47 -0500

docker.io (0.7.1+dfsg1-1) unstable; urgency=medium

  [ Prach Pongpanich ]
  * Fixed "docker: command not found" errors while using bash tab completion
    (Closes: #735372).

  [ Tianon Gravi ]
  * Updated to 0.7.1 upstream release (while we wait for gocapability to be
    packaged).
  * Added xz-utils recommend which is required for decompressing certain images
    from the index.

 -- Tianon Gravi <admwiggin@gmail.com>  Wed, 15 Jan 2014 20:22:34 -0500

docker.io (0.6.7+dfsg1-3) unstable; urgency=medium

  * Fixed FTBFS on non-amd64 platforms by setting the correct GOPATH.
  * Fixed issues with Docker finding a valid dockerinit (Closes: #734758).
  * Added aufs-tools dependency.

 -- Tianon Gravi <admwiggin@gmail.com>  Thu, 09 Jan 2014 20:10:20 -0500

docker.io (0.6.7+dfsg1-2) unstable; urgency=medium

  * Added iptables dependency required for Docker to start.
  * Added ca-certificates recommend required for pulling from the index.

 -- Tianon Gravi <admwiggin@gmail.com>  Wed, 08 Jan 2014 19:14:02 -0500

docker.io (0.6.7+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #706060, #730569)
  * Document missing licenses in the source tree. Bad, paultag. Thanks
    alteholz.

 -- Paul Tagliamonte <paultag@debian.org>  Tue, 07 Jan 2014 21:06:10 -0500
