=== debian/control ===
Source: docker.io
Section: admin
Priority: optional
Maintainer: Paul Tagliamonte <paultag@debian.org>
Uploaders: Daniel Mizyrycki <daniel@docker.com>,
           Tianon Gravi <admwiggin@gmail.com>,
           Johan Euphrosine <proppy@google.com>
Build-Depends: bash-completion,
               debhelper (>=9),
               dh-golang (>= 1.1),
               dh-systemd,
               golang (>= 2:1.1.2-3~),
               golang-context-dev,
               golang-go.net-dev,
               golang-gosqlite-dev,
               golang-mux-dev,
               golang-pty-dev,
               golang-gocapability-dev,
               libdevmapper-dev
Standards-Version: 3.9.5
Homepage: https://github.com/dotcloud/docker
Vcs-Git: git://anonscm.debian.org/docker/docker.io.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=docker/docker.io.git;a=summary

Package: docker.io
Architecture: linux-any
Depends: adduser, iptables, lxc, ${misc:Depends}, ${shlibs:Depends}
Recommends: aufs-tools, ca-certificates, xz-utils
Built-Using: ${misc:Built-Using}
Description: Linux container runtime
 Docker complements LXC with a high-level API which operates at the process
 level. It runs unix processes with strong guarantees of isolation and
 repeatability across servers.
 Docker is a great building block for automating distributed systems:
 large-scale web deployments, database clusters, continuous deployment systems,
 private PaaS, service-oriented architectures, etc.
 .
 This package contains the daemon and client. Using docker.io on non-amd64
 hosts is not supported at this time. Please be careful when using it on
 anything besides amd64.
