=== debian/changelog ===
docker.io (0.9.1~dfsg1-2) unstable; urgency=medium

  * Added upstream apparmor patch to fix newer apparmor versions (such as the
    version appearing in Ubuntu 14.04).
  * Added mkimage-* docker.io binary name patches (Closes: #740855).

 -- Tianon Gravi <admwiggin@gmail.com>  Tue, 08 Apr 2014 23:19:08 -0400

docker.io (0.9.1~dfsg1-1) unstable; urgency=medium

  * Updated to 0.9.1 upstream release (Closes: #743424).
  * Added cgroupfs-mount dependency (Closes: #742641).
  * Added Suggests entries for optional features, chiefly lxc (Closes: #742081).
  * Added notes about "root-equivalence" to README.Debian (Closes: #742387).

 -- Tianon Gravi <admwiggin@gmail.com>  Thu, 03 Apr 2014 21:38:30 -0400

docker.io (0.9.0+dfsg1-1) unstable; urgency=medium

  * Updated README.Debian to not be quite so outdated (Closes: #740850).
  * Updated to 0.9.0 upstream release.

 -- Tianon Gravi <admwiggin@gmail.com>  Tue, 11 Mar 2014 22:24:31 -0400

docker.io (0.8.1+dfsg1-1) unstable; urgency=medium

  * Updated to 0.8.1 upstream release.

 -- Tianon Gravi <admwiggin@gmail.com>  Tue, 25 Feb 2014 20:56:31 -0500

docker.io (0.8.0+dfsg1-2) unstable; urgency=medium

  [ Tianon Gravi ]
  * Added more license notes to debian/copyright (Closes: #738627).

 -- Tianon Gravi <admwiggin@gmail.com>  Sat, 15 Feb 2014 17:51:58 -0500

docker.io (0.8.0+dfsg1-1) unstable; urgency=medium

  [ Prach Pongpanich ]
  * Added zsh completion.

  [ Tianon Gravi ]
  * Updated to 0.8.0 upstream release.
  * Added vim syntax files in new vim-syntax-docker package.
  * Added note about minimum recommended kernel version to Description.
  * Added contrib/*-integration files in /usr/share/docker.io/contrib.

 -- Tianon Gravi <admwiggin@gmail.com>  Mon, 10 Feb 2014 20:41:10 -0500
