=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,15 @@
 DOCKER_VERSION = $(shell cat VERSION)
 
 export DOCKER_GITCOMMIT := $(shell awk '/^$(DOCKER_VERSION):/ { print $$2 }' debian/upstream-version-gitcommits)
+export DOCKER_INITPATH := ${INITPATH}
+
+# good old Ubuntu needs AppArmor
+export DOCKER_BUILDTAGS := apparmor
 
 
 override_dh_auto_build:
-	bash -c '{ [ "$$DOCKER_GITCOMMIT" ]; } || { echo; echo "error: missing DOCKER_GITCOMMIT - see debian/upstream-version-gitcommits"; echo; exit 2; } >&2'
-	DOCKER_INITPATH=${INITPATH} ./hack/make.sh dynbinary
+	@bash -c '{ [ "$$DOCKER_GITCOMMIT" ]; } || { echo; echo "error: missing DOCKER_GITCOMMIT - see debian/upstream-version-gitcommits"; echo; exit 2; } >&2'
+	./hack/make.sh dynbinary
 
 
 override_dh_auto_install:
@@ -30,6 +34,10 @@
 	mv bundles/${DOCKER_VERSION}/dynbinary/dockerinit-${DOCKER_VERSION} debian/docker.io/${INITPATH}
 	# The source of docker does not make a library, so dont ship it.
 	rm -rf debian/docker.io/usr/share/gocode
+	# Manual install zsh completion file  because of the dh_install does not support rename file
+	mkdir -p debian/docker.io/usr/share/zsh/vendor-completions
+	install -D -m 644 contrib/completion/zsh/_docker debian/docker.io/usr/share/zsh/vendor-completions/_docker.io
+
 
 
 # the SHA1 of dockerinit is important: don't strip it
