## docker.io 1.0.0~dfsg1

=== debian/changelog ===
docker.io (1.0.0~dfsg1-1) unstable; urgency=medium

  * Updated to 1.0.0 upstream release. Huzzah!
  * I've removed what is commonly called a `button' of patches against
    the docker package. Exact patches:
     - bash-completion-docker.io.patch
     - systemd-docker.io.patch
     - sysvinit-provides-docker.io.patch
     - zsh-completion-docker.io.patch
     - mkimage-docker.io.patch
  * I know y'all are guessing why; and the answer's pretty simple -- we're
    no longer docker.io(1). Since the src:docker package now ships wmdocker(1),
    we can safely declare a breaks/replaces on the pre-wmdocker version of the
    package, allowing existing users to safely update, both src:docker and
    src:docker.io side. This brings us into line with other distros, which
    now ship wmdocker(1) and docker(1).
  * As a stop-gap, I'm still shipping a docker.io(1) symlink to allow
    migration away.

 -- Paul Tagliamonte <paultag@debian.org>  Fri, 13 Jun 2014 21:04:53 -0400

docker.io (0.11.1~dfsg1-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use EnvironmentFile with the systemd unit file. (Closes: #746774)
  * Patch out version checking code. (Closes: #747140)
  * Remove all host checking for non-amd64 host arches. Let docker build
    and run on all platforms now. (Closes: #747139, #739914)

  [ Tianon Gravi ]
  * Updated to 0.11.1 upstream release.
  * Added backported upstream patch for removing RemoteAddr assumptions
    that cause events to not be delivered to more than one unix socket
    listener.

 -- Tianon Gravi <admwiggin@gmail.com>  Fri, 09 May 2014 17:30:45 -0400
