=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Paul Tagliamonte <paultag@debian.org>
-Uploaders: Daniel Mizyrycki <daniel@docker.com>,
+Uploaders: Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
+           Daniel Mizyrycki <daniel@docker.com>,
            Tianon Gravi <admwiggin@gmail.com>,
            Johan Euphrosine <proppy@google.com>
 Build-Depends: bash-completion,
@@ -11,12 +12,14 @@
                dh-golang (>= 1.1),
                dh-systemd,
                golang (>= 2:1.2.1-2~),
-               golang-context-dev,
+               golang-context-dev (>= 0.0~git20140520~),
+               golang-dbus-dev (>= 1~),
+               golang-go-systemd-dev (>= 2~),
                golang-go.net-dev,
-               golang-gocapability-dev,
-               golang-gosqlite-dev,
-               golang-mux-dev,
-               golang-pty-dev,
+               golang-gocapability-dev (>= 0.0~git20140516~),
+               golang-gosqlite-dev (>= 0.0~hg20130530~),
+               golang-mux-dev (>= 0.0~git20140505~),
+               golang-pty-dev (>= 0.0~git20140315.1.67e2db2-1~),
                libapparmor-dev,
                libdevmapper-dev
 Standards-Version: 3.9.5
@@ -32,6 +35,8 @@
             cgroupfs-mount | cgroup-lite,
             git,
             xz-utils
+Replaces: docker (<< 1.5~)
+Breaks: docker (<< 1.5~)
 Suggests: btrfs-tools, debootstrap, lxc, rinse
 Built-Using: ${misc:Built-Using}
 Description: Linux container runtime
