=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,8 @@
 override_dh_auto_install:
 	dh_auto_install
 	mkdir -p debian/docker.io/usr/bin
-	mv bundles/${DOCKER_VERSION}/dynbinary/docker-${DOCKER_VERSION} debian/docker.io/usr/bin/docker.io
+	mv bundles/${DOCKER_VERSION}/dynbinary/docker-${DOCKER_VERSION} debian/docker.io/usr/bin/docker
+	ln -s docker debian/docker.io/usr/bin/docker.io
 	mkdir -p debian/docker.io/${INITDIR}
 	mv bundles/${DOCKER_VERSION}/dynbinary/dockerinit-${DOCKER_VERSION} debian/docker.io/${INITPATH}
 	# The source of docker does not make a library, so dont ship it.
