## docker.io 1.0.1~dfsg1

=== debian/changelog ===
docker.io (1.0.1~dfsg1-0ubuntu1~ubuntu0.14.04.1) trusty; urgency=medium

  * Backport stable release of Docker for Ubuntu 14.04 (LP: #1338768).

 -- James Page <james.page@ubuntu.com>  Fri, 08 Aug 2014 12:35:13 +0200

docker.io (1.0.1~dfsg1-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - d/p/*: Refresh patches.
    - d/upstream-version-gitcommits: Add commit hash for 1.0.1.
  * Retain and use libcontainer in source tarball:
    - d/prune/vendor: Retain libcontainer vendor subfolder, drop all others.
    - d/rules: Ensure vendor subfolder is included on GOPATH.
  * d/source.lintian-overrides: Override errors about unsafe symlinks in
    testdata directories.

 -- James Page <james.page@ubuntu.com>  Thu, 07 Aug 2014 22:42:12 +0200
