=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DH_GOLANG_INSTALL_ALL := 1
 
 # temporary build path (see http://golang.org/doc/code.html#GOPATH)
-export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
+export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE):$(CURDIR)/vendor
 
 # a few helpful variables for deduplication
 INITDIR = /usr/lib/docker.io
