=== debian/control ===
--- 
+++ 
@@ -12,11 +12,15 @@
                debhelper (>=9),
                dh-golang (>= 1.1),
                dh-systemd,
-               golang (>= 2:1.2.1-2~),
-               golang-context-dev (>= 0.0~git20140520~),
+               go-md2man,
+               golang (>= 2:1.2-3~),
+               golang (>= 2:1.2.1-2~) | golang (<< 2:1.2.1~),
+               golang (>= 2:1.3-4~) | golang (= 2:1.3-1) | golang (<< 2:1.3~),
+               golang-context-dev (>= 0.0~git20140604~),
                golang-dbus-dev (>= 1~),
+               golang-go-patricia-dev (>= 1.0.1~),
                golang-go-systemd-dev (>= 2~),
-               golang-go.net-dev,
+               golang-go.net-dev (>= 0.0~hg20130530~),
                golang-gocapability-dev (>= 0.0~git20140516~),
                golang-gosqlite-dev (>= 0.0~hg20130530~),
                golang-mux-dev (>= 0.0~git20140505~),
@@ -24,9 +28,9 @@
                libapparmor-dev,
                libdevmapper-dev
 Standards-Version: 3.9.5
-Homepage: https://github.com/dotcloud/docker
+Homepage: https://github.com/docker/docker
 Vcs-Git: git://anonscm.debian.org/docker/docker.io.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=docker/docker.io.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/docker/docker.io.git
 
 Package: docker.io
 Architecture: linux-any
@@ -35,7 +39,8 @@
             ca-certificates,
             cgroupfs-mount | cgroup-lite,
             git,
-            xz-utils
+            xz-utils,
+            ${apparmor:Recommends}
 Replaces: docker (<< 1.5~)
 Breaks: docker (<< 1.5~)
 Suggests: btrfs-tools, debootstrap, lxc, rinse
@@ -49,9 +54,9 @@
  large-scale web deployments, database clusters, continuous deployment systems,
  private PaaS, service-oriented architectures, etc.
  .
- This package contains the daemon and client. Using docker.io on non-amd64
- hosts is not supported at this time. Please be careful when using it on
- anything besides amd64.
+ This package contains the daemon and client. Using docker.io on non-amd64 hosts
+ is not supported at this time. Please be careful when using it on anything
+ besides amd64.
  .
  Also, note that kernel version 3.8 or above is required for proper operation of
  the daemon process, and that any lower versions may have subtle and/or glaring
@@ -63,5 +68,5 @@
 Recommends: vim-addon-manager
 Suggests: docker.io
 Description: Docker container engine - Vim highlighting syntax files
- This package provides syntax files for the Vim editor for editing
- Dockerfiles from the Docker container engine.
+ This package provides syntax files for the Vim editor for editing Dockerfiles
+ from the Docker container engine.
