=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: docker.io
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Tagliamonte <paultag@debian.org>
+Maintainer: Paul Tagliamonte <paultag@debian.org>
 Uploaders: Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
-           Daniel Mizyrycki <daniel@docker.com>,
            Tianon Gravi <admwiggin@gmail.com>,
            Johan Euphrosine <proppy@google.com>
 Build-Depends: bash-completion,
@@ -27,7 +25,7 @@
                golang-pty-dev (>= 0.0~git20140315.1.67e2db2-1~),
                libapparmor-dev,
                libdevmapper-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/docker/docker
 Vcs-Git: git://anonscm.debian.org/docker/docker.io.git
 Vcs-Browser: http://anonscm.debian.org/cgit/docker/docker.io.git
@@ -70,3 +68,12 @@
 Description: Docker container engine - Vim highlighting syntax files
  This package provides syntax files for the Vim editor for editing Dockerfiles
  from the Docker container engine.
+
+Package: golang-docker-dev
+Architecture: all
+Depends: ${misc:Depends}
+Built-Using: ${misc:Built-Using}
+Description: Externally reusable Go packages included with Docker
+ These packages are intentionally developed by upstream in such a way that they
+ are reusable to projects outside Docker and only rely on each other or other
+ external dependencies to be built.
