=== debian/changelog ===
docker.io (1.5.0~dfsg1-1ubuntu2) vivid; urgency=medium

  * d/p/arm-syscall-fix.patch: Fix incorrect setns syscall on ARM.
  * d/p/powerpc-support.patch: Resolve FTBFS with powerpc builds.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 10 Apr 2015 12:26:43 -0600

docker.io (1.5.0~dfsg1-1ubuntu1) vivid; urgency=medium

  * Merge from Debian experimental (LP: #1430760). Remaining changes:
    - d/p/sync-apparmor-with-lxc.patch: Update AppArmor policy to be
      in sync with LXC.
    - d/p/device-mapper-cleanup.patch: Cleanup any stale docker mounts
      from previous shutdown.
    - d/control: Bump minimum version of golang-pty-dev for broader
      architecture support.
    - d/control: use gccgo instead of golang on ppc64el.
  * Drop changes:
    - d/p/enable-gccgo-build.patch: superceded by new ppc64el patches.
    - d/p/enable-non-amd64-arches.patch: superceded by upstream-accepted
      patches from IBM as described below.
  * New implementation of ppc64el support based on upstreamed IBM patches:
    - d/p/enable-gccgo-build-v2.patch: add support to docker build
      system for gccgo.
    - d/p/remove-X-flag-autogenerate-dockerversion.patch
    - d/p/dockerversion-to-autogen-go-rename.patch
    - d/rules: conditional build against gccgo when on ppc64.
    - d/p/fix-build-dir-autogen.patch: autogen straight into build tree.
    - d/p/fix-dynbinary-for-autogen.patch: fix FTBFS on amd64.
  * d/p/arm64-support.patch: fix to allow build on arm64.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 02 Apr 2015 09:48:04 +0000

docker.io (1.5.0~dfsg1-1) experimental; urgency=low

  * Update to 1.5.0 upstream release (Closes: #773495)
  * Remove several patches applied upstream!
    - 9637-fix-nuke-bashism.patch
    - enable-non-amd64-arches.patch
  * Fix btrfs-tools handling to allow for building with btrfs-tools < 1.16.1

 -- Tianon Gravi <admwiggin@gmail.com>  Tue, 10 Mar 2015 22:58:49 -0600

docker.io (1.3.3~dfsg1-2ubuntu7) vivid; urgency=medium

  * d/p/enable-gccgo-build.patch: Update for gccgo archs.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Mar 2015 20:41:41 +0100

docker.io (1.3.3~dfsg1-2ubuntu6) vivid; urgency=medium

  * Drop the build dependency on gccgo-go, build-depend on gccgo instead.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Mar 2015 22:35:36 +0100

docker.io (1.3.3~dfsg1-2ubuntu5) vivid; urgency=medium

  * d/p/enable-non-amd64-arches.patch: Replace in preference to upstream
    accepted patch from IBM.
  * d/p/device-mapper-cleanup.patch: Annotate with upstream bug report.
  * d/p/enable-gccgo-build.patch: Annotate with pull request upstream
    from IBM, update to deal with autogenerated go code.
  * d/p/sync-apparmor-with-lxc.patch: Annotate with upstream pull request
    for libcontainer, reference github.com working repository.
  * d/control: Drop arm64 architecture for now as its going to require
    further work in the dependency chain.

 -- James Page <james.page@ubuntu.com>  Mon, 23 Feb 2015 14:04:11 +0000

docker.io (1.3.3~dfsg1-2ubuntu4) vivid; urgency=medium

  * Enable arm64 architecture using gccgo. 

 -- James Page <james.page@ubuntu.com>  Thu, 19 Feb 2015 15:27:38 +0000

docker.io (1.3.3~dfsg1-2ubuntu3) vivid; urgency=medium

  * Enable ppc64el architecture using gccgo:
    - d/p/enable-gccgo-build.patch: Add support to docker build
      system for gccgo.
    - d/control: Use gccgo-go for ppc64el, exclude ppc64el for golang.
    - d/control: Bump minimum version of golang-pty-dev for broader
      architecture support.

 -- James Page <james.page@ubuntu.com>  Wed, 18 Feb 2015 10:14:06 +0000

docker.io (1.3.3~dfsg1-2ubuntu2) vivid; urgency=medium

  * d/p/device-mapper-cleanup.patch: Cleanup any stale docker mounts
    from previous shutdown (LP: #1404300).

 -- James Page <james.page@ubuntu.com>  Thu, 22 Jan 2015 08:50:14 +0000

docker.io (1.3.3~dfsg1-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable (LP: #1407408).  Remaining changes:
    - d/p/sync-apparmor-with-lxc.patch: Update AppArmor policy to be
      in sync with LXC.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 04 Jan 2015 12:06:00 +0100

docker.io (1.3.3~dfsg1-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable (LP: #1396572), remaining changes:
    - d/p/sync-apparmor-with-lxc.patch: Update AppArmor policy to be
      in sync with LXC.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Dec 2014 14:32:31 +0000

docker.io (1.3.2~dfsg1-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/p/sync-apparmor-with-lxc.patch: Update AppArmor policy to be
      in sync with LXC.
  * Dropped changes, equivalents included in Debian updates:
    - d/p/support-no-env-default-file.patch.

 -- James Page <james.page@ubuntu.com>  Tue, 25 Nov 2014 17:59:07 +0000

docker.io (1.2.0~dfsg1-1ubuntu2) vivid; urgency=medium

  * Reenable socket activation (race fixed with systemd 215)
  * debian/patches/support-no-env-default-file.patch:
    - Support removed /etc/default/docker under systemd

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 20 Nov 2014 10:18:42 +0100
