=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: docker.io
 Section: admin
 Priority: optional
-Maintainer: Paul Tagliamonte <paultag@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Tagliamonte <paultag@debian.org>
 Uploaders: Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
            Tianon Gravi <admwiggin@gmail.com>,
            Johan Euphrosine <proppy@google.com>
@@ -11,18 +12,19 @@
                dh-golang (>= 1.1),
                dh-systemd,
                go-md2man,
-               golang (>= 2:1.2-3~),
-               golang (>= 2:1.2.1-2~) | golang (<< 2:1.2.1~),
-               golang (>= 2:1.3-4~) | golang (= 2:1.3-1) | golang (<< 2:1.3~),
+               golang (>= 2:1.2-3~) [!arm64 !ppc64el !powerpc],
+               gccgo [arm64 ppc64el powerpc],
                golang-context-dev (>= 0.0~git20140604~),
                golang-dbus-dev (>= 1~),
+               golang-fsnotify-dev (>= 1.0.4~),
                golang-go-patricia-dev (>= 1.0.1~),
                golang-go-systemd-dev (>= 2~),
                golang-go.net-dev (>= 0.0~hg20130530~),
                golang-gocapability-dev (>= 0.0~git20140516~),
                golang-gosqlite-dev (>= 0.0~hg20130530~),
+               golang-logrus-dev (>= 0.6.0~),
                golang-mux-dev (>= 0.0~git20140505~),
-               golang-pty-dev (>= 0.0~git20140315.1.67e2db2-1~),
+               golang-pty-dev (>= 0.0~git20150218~),
                libapparmor-dev,
                libdevmapper-dev
 Standards-Version: 3.9.6
