=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,20 @@
 export DOCKER_GITCOMMIT := $(shell ./debian/helpers/gitcommit.sh $(DOCKER_VERSION))
 export DOCKER_INITPATH := ${INITPATH}
 
-# good old Ubuntu needs AppArmor
-export DOCKER_BUILDTAGS := apparmor
+ifneq (,$(filter $(DEB_HOST_ARCH), arm64 powerpc ppc64el))
+    DOCKER_BUILD_TARGET = dyngccgo
+else
+    DOCKER_BUILD_TARGET = dynbinary
+endif
+
+
+# see https://github.com/docker/docker/blob/v1.5.0/project/PACKAGERS.md#build-dependencies
+# and https://github.com/docker/docker/blob/v1.5.0/project/PACKAGERS.md#docker_buildtags
+BTRFS_VERSION = $(shell dpkg-query -f '$${Version}' -W btrfs-tools)
+OLD_BTRFS_BUILDTAG = $(shell dpkg --compare-versions $(BTRFS_VERSION) '>=' '3.16.1~' || echo btrfs_noversion)
+
+# AppArmor can be optionally used in Debian and is there by default in Ubuntu, so we need support for it compiled into our binary
+export DOCKER_BUILDTAGS := apparmor $(OLD_BTRFS_BUILDTAG)
 
 
 APPARMOR_RECOMMENDS = $(shell dpkg-vendor --is Ubuntu && echo apparmor)
@@ -42,7 +54,7 @@
 	ln -sf "$$(readlink -f libcontainer)" "$(GOPATH)/src/$(dir $(LIBCONTAINER_GOPKG))"
 	ln -sf "$$(readlink -f libtrust)" "$(GOPATH)/src/$(dir $(LIBTRUST_GOPKG))"
 	
-	./hack/make.sh dynbinary
+	./hack/make.sh $(DOCKER_BUILD_TARGET)
 	
 	# compile man pages
 	./docs/man/md2man-all.sh
@@ -53,11 +65,11 @@
 	
 	# install docker binary
 	mkdir -p debian/docker.io/usr/bin
-	mv bundles/${DOCKER_VERSION}/dynbinary/docker-${DOCKER_VERSION} debian/docker.io/usr/bin/docker
+	mv bundles/${DOCKER_VERSION}/${DOCKER_BUILD_TARGET}/docker-${DOCKER_VERSION} debian/docker.io/usr/bin/docker
 	
 	# install dockerinit binary
 	mkdir -p debian/docker.io/${INITDIR}
-	mv bundles/${DOCKER_VERSION}/dynbinary/dockerinit-${DOCKER_VERSION} debian/docker.io/${INITPATH}
+	mv bundles/${DOCKER_VERSION}/${DOCKER_BUILD_TARGET}/dockerinit-${DOCKER_VERSION} debian/docker.io/${INITPATH}
 	
 	# Most of the source of docker does not make a library,
 	#   so only ship the reusable parts (and in a separate package).
